Bug 442702 - Add Windows 2008 variant
Add Windows 2008 variant
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Ales Zelinka
:
Depends On:
Blocks: 409971 449772
  Show dependency treegraph
 
Reported: 2008-04-16 07:16 EDT by Adam Stokes
Modified: 2010-10-22 20:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:04:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add win2k8 label (714 bytes, patch)
2008-04-16 07:16 EDT, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-04-16 07:16:53 EDT
Description of problem:
No Windows 2008 is listed in OS Variant

Version-Release number of selected component (if applicable):
python-virtinst 0.300.x

How reproducible:
100%

Steps to Reproduce:
1. Create fullvirst guest
2. Select OS Type Windows
3.
  
Actual results:
No windows 2008 listed

Expected results:
Windows 2008 listed

Additional info:
Comment 1 Adam Stokes 2008-04-16 07:16:53 EDT
Created attachment 302580 [details]
add win2k8 label
Comment 2 Daniel Berrange 2008-04-16 09:05:56 EDT
Have you actually verified that Win2k8 works under RHEL-5.2 Xen ? All previous
attempts to run it failed at one point or another.
Comment 6 RHEL Product and Program Management 2008-06-02 16:06:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Cole Robinson 2008-06-24 12:19:01 EDT
Thanks, committed upstream. I'll pull this in for 5.3

http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=b6d938c603df
Comment 8 Cole Robinson 2008-07-15 10:56:02 EDT
FYI, easy way to test this:

virt-install --connect test:///default -n somevm -r 256 --nodisks --hvm --pxe
--nographics --os-type windows --os-variant win2k8

Pre patch this will fail with a ValueError exception. Post patch will end with a
message like 'Domain installation still in progress'.
Comment 9 Cole Robinson 2008-09-14 20:03:05 EDT
Okay, fix is in python-virtinst-0.300.2-9.el5. Setting to MODIFIED.
Comment 15 errata-xmlrpc 2009-01-20 16:04:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0216.html

Note You need to log in before you can comment on or make changes to this bug.